import request from '@/utils/request'

// 查询工程功能检验列表
export function listProjectFunVerify(query) {
  return request({
    url: '/project/projectFunVerify/list',
    method: 'get',
    params: query
  })
}

// 统计工程功能检验
export function findGroupCountByApprove(query) {
  return request({
    url: '/project/projectFunVerify/findGroupCountByApprove',
    method: 'get',
    params: query
  })
}

// 查询工程功能检验详细
export function getProjectFunVerify(id) {
  return request({
    url: '/project/projectFunVerify/' + id,
    method: 'get'
  })
}

// 新增工程功能检验
export function addProjectFunVerify(data) {
  return request({
    url: '/project/projectFunVerify',
    method: 'post',
    data: data
  })
}

// 修改工程功能检验
export function updateProjectFunVerify(data) {
  return request({
    url: '/project/projectFunVerify',
    method: 'put',
    data: data
  })
}

// 修改工程功能检验
export function updateProjectFunVerifyNoLog(data) {
  return request({
    url: '/project/projectFunVerify/editNoLog',
    method: 'post',
    data: data
  })
}

// 删除工程功能检验
export function delProjectFunVerify(id) {
  return request({
    url: '/project/projectFunVerify/' + id,
    method: 'delete'
  })
}
